Skip to main content

Update object storage bucket

PUT 

/backend/api/object-storage/storage/:id

Host: https://core.ocplanet.cloud

Update properties of an existing object storage bucket (for example, access level).

Request

Path Parameters

    id uuidrequired

    A UUID string identifying this Object Bucket.

Body

    access AccessEnum

    Possible values: [private, public-read, public-read-write, authenticated-read, undefined]

    • private - private
    • public-read - public-read
    • public-read-write - public-read-write
    • authenticated-read - authenticated-read
    • undefined - undefined

Responses

Schema
    access AccessEnum

    Possible values: [private, public-read, public-read-write, authenticated-read, undefined]

    • private - private
    • public-read - public-read
    • public-read-write - public-read-write
    • authenticated-read - authenticated-read
    • undefined - undefined
Loading...